## mx4j.tools.remote
Class SubjectInvoker

    java.lang.Object
      mx4j.tools.remote.SubjectInvoker

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

Direct Known Subclasses:
  HTTPSubjectInvoker

public abstract class SubjectInvoker
extends java.lang.Object
implements java.lang.reflect.InvocationHandler

Version:
  $Revision: 1.4 $

Constructor Summary
`protected` `SubjectInvoker(java.lang.Object target, javax.security.auth.Subject subject, java.security.AccessControlContext context, java.util.Map environment)`

Method Summary
`protected java.lang.Object` `chain(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`
`protected java.lang.Object` `handleSpecialInvoke(java.lang.Object target, java.lang.reflect.Method method, java.lang.Object[] args)`
`java.lang.Object` `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`
`protected boolean` `isPlainInvoke(java.lang.reflect.Method method)`
`protected java.lang.Object` `subjectInvoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args, javax.security.auth.Subject delegate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubjectInvoker

    protected SubjectInvoker(java.lang.Object target,
                             javax.security.auth.Subject subject,
                             java.security.AccessControlContext context,
                             java.util.Map environment)

Method Detail

### isPlainInvoke

    protected boolean isPlainInvoke(java.lang.reflect.Method method)

### handleSpecialInvoke

    protected java.lang.Object handleSpecialInvoke(java.lang.Object target,
                                                   java.lang.reflect.Method method,
                                                   java.lang.Object[] args)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`
  Throws:
    `java.lang.Throwable`

### subjectInvoke

    protected java.lang.Object subjectInvoke(java.lang.Object proxy,
                                             java.lang.reflect.Method method,
                                             java.lang.Object[] args,
                                             javax.security.auth.Subject delegate)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### chain

    protected java.lang.Object chain(java.lang.Object proxy,
                                     java.lang.reflect.Method method,
                                     java.lang.Object[] args)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.